Bug 108578 - CAN-2003-0901 PostgreSQL To_Ascii() Buffer Overflow Vulnerability
Summary: CAN-2003-0901 PostgreSQL To_Ascii() Buffer Overflow Vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: postgresql   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Jee
QA Contact: David Lawrence
URL: http://www.securityfocus.com/bid/8741
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-30 10:45 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 14:11:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:314 normal SHIPPED_LIVE Moderate: postgresql security update 2003-11-12 05:00:00 UTC

Description Mark J. Cox 2003-10-30 10:45:58 UTC
Buffer overflow in to_ascii for PostgreSQL 7.2.x, and 7.3.x before 7.3.4, allows
remote attackers to potentially execute arbitrary code if to_ascii is being used
on user controlled data.

Affects: 2.1AS 2.1AW 2.1ES 2.1WS

Erratum in progress

Comment 1 Mark J. Cox 2003-10-30 10:46:27 UTC
(See bug 108079 for this bug for Red Hat Linux)

Comment 2 Mark J. Cox 2003-11-12 14:11:20 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-314.html



Note You need to log in before you can comment on or make changes to this bug.